[Debian-eeepc-commits] [SCM] Maintenance of eeepc-acpi-scripts debian package branch, master, updated. 1.1.5-85-gfb3782e

Ben Armstrong synrg at debian.org
Fri Nov 19 01:35:08 UTC 2010


The following commit has been merged in the master branch:
commit fb3782ed29233a94ee91aa149f6448732989231c
Author: Ben Armstrong <synrg at debian.org>
Date:   Thu Nov 18 21:35:03 2010 -0400

    Test for both eeepc and eeepc-wmi and make tests consistent.

diff --git a/eeepc-acpi-scripts/button.sh b/eeepc-acpi-scripts/button.sh
index 85aa945..25b7248 100755
--- a/eeepc-acpi-scripts/button.sh
+++ b/eeepc-acpi-scripts/button.sh
@@ -1,5 +1,5 @@
 #!/bin/sh
-[ -e '/sys/devices/platform/eeepc-wmi' ] || exit 0
+[ -d /sys/devices/platform/eeepc-wmi ] || exit 0
 case $3 in
     WLAN)
         hotkey=00000010
diff --git a/eeepc-acpi-scripts/hotkey.sh b/eeepc-acpi-scripts/hotkey.sh
index 4de9a7e..199a289 100755
--- a/eeepc-acpi-scripts/hotkey.sh
+++ b/eeepc-acpi-scripts/hotkey.sh
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-test -d /sys/bus/platform/devices/eeepc || exit 0
+[ -d /sys/devices/platform/eeepc ] || [ -d /sys/devices/platform/eeepc-wmi ] || exit 0
 # do nothing if package is removed
 PKG=eeepc-acpi-scripts
 PKG_DIR=/usr/share/acpi-support/$PKG

-- 
Maintenance of eeepc-acpi-scripts debian package



More information about the Debian-eeepc-commits mailing list